mobilityTable.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/simpleState.h"`
`#include <cassert>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

union | osl::mobility::V4
class | osl::mobility::MobilityContent
| 駒毎に指定の方向の利きを持つ最後のSquare. More...
class | osl::mobility::MobilityTable
| 駒番号からMobilityContentを得る More...
class | osl::MobilityTable
| 駒番号からMobilityContentを得る More...

## Namespaces

namespace | osl
namespace | osl::mobility

## Functions

std::ostream & | osl::mobility::operator<< (std::ostream &os, MobilityContent const &mc)
std::ostream & | osl::mobility::operator<< (std::ostream &os, MobilityTable const &mt)
bool | osl::mobility::operator== (const MobilityTable &mt1, const MobilityTable &mt2)